ITPub博客

首页 > 数据库 > Oracle > oracle9i下配置企业管理器

oracle9i下配置企业管理器

原创 Oracle 作者:yaanzy 时间:2005-03-29 16:35:44 0 删除 编辑
1、运行企业管理器配置助理创建EM repository
   Windows平台:
   - 选择菜单 Programs > Oracle-OraHome92 > Configuration and Migration Tools >
             Enterprise Manager Configuration Assistant
   - 在命令行中输入: emca [@more@]

   Linux平台:
   [oracle@sms oracle]$ emca

2、启动Oracle Management Server
   Windows平台:
      a. 双点[控制面板/Control Panel]中的服务/Services图标
      b. 选择服务 - OracleOraHome92ManagementServer
      c. 点按钮[启动/Start]来启动这个服务
  
   Linux平台:
   [oracle@sms oracle]$ oemctrl start oms


3、启动企业管理器控制台(EM Console)
   Windows平台:
   - 选择菜单 Programs > Oracle-OraHome92 > Enterprise Manager Console
   - 在命令行中输入: oemapp console
  
   Linux平台:
   [oracle@sms oracle]$ oemapp console
  
   缺省的EM登录名是: sysman/oem_temp
  
4、配置运行智能代理(Intelligent Agent)用于从其它机器上的企业管理器控制台来控制本机
   Windows平台:
      a. 双点[控制面板/Control Panel]中的服务/Services图标
      b. 选择服务 - OracleOraHome92Agent
      c. 点按钮[启动/Start]来启动这个服务
  
   Linux平台:
   [oracle@sms oracle]$ agentctl start
  
   注意:在RHAS3上启动agentctl不成功(我的版本是Oracle9.2.0.4),这是它的一个bug,并且在安装软件时就会提示
        原因是:ENVIRON POINTER IS NULL WHEN USING GENMAKE
        解决方法如下:
        a、到metalink下载补丁:p2617419_210_GENERIC.zip、p3119415_9204_LINUX.zip
                             p3238244_9204_LINUX.zip
        b、copy到/tmp下解压
           [oracle@sms tmp]$ unzip p2617419_210_GENERIC.zip
           [oracle@sms tmp]$ unzip p3119415_9204_LINUX.zip
           [oracle@sms tmp]$ unzip p3238244_9204_LINUX.zip
          
        c、设置环境变量
           [oracle@sms tmp]$ export PATH=$PATH:/tmp/OPatch:/sbin
          
        d、安装补丁
           [oracle@sms tmp]$ cd 3119415/
           [oracle@sms 3119415]$ opatch apply
          
           [oracle@sms 3119415]$ cd ../3238244/
           [oracle@sms 3238244]$ opatch apply
       
        e、补丁修复完成,需要relinked一个.mk文件(需要关闭数据库)
           [oracle@sms 3238244]$ make -f $ORACLE_HOME/network/lib/ins_oemagent.mk install
          
           现在在运行agentctl start,看是不是可以成功运行agent服务,
           可以用stop、status来停止此服务或者检查服务的状态
       
        f、如果你想升级到9205或9206,那么必须在安装版本到9204时把这些补丁包装上,agent能
           正常启动,然后再打升级包到9205或9206,否则如果先打升级包再打补丁包则会失败;
          
           参见metalink:
           http://metalink.oracle.com/metalink/plsql/ml2_documents.showDocument?p_database_id=NOT&p_id=295385.1

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/3898/viewspace-794313/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论
  • 博文量
    108
  • 访问量
    761558